<?php

///////////////////////////////////////////////////////////////////////////////////////////
// Pierre Levasseur : pierre.levasseur@free.fr
///////////////////////////////////////////////////////////////////////////////////////////
// Version : 1.0
// Date    : 17/07/2003 : Generation des miniatures, uniquement pour le format d'image jpeg 
//                        Le script lit les fichiers contenus dans le repertoire $RepGrosseImages
//                        et genere dans le repertoire $RepPetiteImages une miniature avec un 
//			  pourcentage de reduction parametrable grace  $pourcentage_reduce
//			  Tlcgarger vos images sur votre site, lancer le script miniature.php
//			  puis supprimer le, pour que personne ne relance la gnration.
///////////////////////////////////////////////////////////////////////////////////////////

$pourcentage_reduce 	= 50; // (10 : Resolution tres basse) (50 : Moyenne) (100 : Bonne)
$RepGrosseImages 	= "images//";
$RepPetiteImages 	= "thumb//";
$image_de_fond		= "conf/new_back.png";

///////////////////////////////////////////////////////////////////////////////////////////

function GetFileList( $dirname="." ) {   
   $files = array(); 
   $dir = opendir( $dirname );
   while( $file = readdir( $dir ) ) {
      if (ereg("jpg$",$file) || ereg("JPG$",$file) || 
          ereg("jpeg$",$file) || ereg("JPEG$",$file) ||
          ereg("png$",$file) || ereg("PNG$",$file) ||
	  ereg("gif$",$file) || ereg("GIF$",$file)
	  ) {
          $files[] = $file; 
      }
   }
   sort($files);
   return $files;
}

function miniaturisation($original, $rep_source, $rep_destination, $largeur_mini)
  {
   $nouveau_nom=substr($original,0,strlen($original)-4);

   $nouveau_nom="$nouveau_nom.jpg";

   $src=imagecreatefromjpeg($rep_source.$original);


   $size = getimagesize($rep_source.$original);
   $im=imagecreate($largeur_mini, round(($largeur_mini/$size[0])*$size[1]));  

   imagecopyresized($im, $src, 0, 0, 0, 0, $largeur_mini,
   round(($largeur_mini/$size[0])*$size[1]) , $size[0], $size[1]);  

   imagejpeg($im, $rep_destination.$nouveau_nom,100);
  };

?>

<HTML>
<HEAD>
  <TITLE>.:: Generation des miniatures ::.</TITLE>
  <body bgcolor="#FFFFFF" text="#FFFFFF" link="#000000" alink="#FFFFFF" vlink="#FFFF00" background=
  <?php echo "\"$image_de_fond\""; ?>
  >
  <META NAME="Description" CONTENT="pierre.levasseur.free.fr">
</HEAD>

<p>
<center>
<b><font face="Arial,Helvetica"><font size=-1>.:: Generation des miniatures ::.</font></font></b>&nbsp
</p>
</center>
<HR>

<?php

$imagelist = GetFileList($RepGrosseImages);
$nbr_tot		=count($imagelist);
$debut			= 1;


for($i=$debut; $i < $nbr_tot +1 ; $i++) {

	$image		= $imagelist[$i-1];


	if (file_exists("$RepGrosseImages$image"))
	{

		if (file_exists("$RepPetiteImages$image"))
		{
		echo "<center><font face=\"Arial,Helvetica\"><font size=-2>\n";
		echo "le fichier $RepPetiteImages$image existe dja <BR>\n";
		echo "</font></font></center>\n";
		}
		else
		{
		miniaturisation("$image", "$RepGrosseImages", "$RepPetiteImages", $pourcentage_reduce);
		echo "<center><font face=\"Arial,Helvetica\"><font size=-2>\n";
	 	echo "Le fichier $RepPetiteImages$image n'exsite pas, le redimensionnement a ete affectus.<BR>"; 
		echo "</font></font></center>\n";
		}
	}
	else
	{
	echo "<center><font face=\"Arial,Helvetica\"><font size=-2>\n";
 	echo "Le repertoire $RepGrosseImages ne contient pas d'images(s), le redimensionnement n'as pas ete affectus.<BR>"; 
	echo "</font></font></center>\n";
	}
}

?>

<HR>
<center>
<font face="Arial,Helvetica"><font size=-1><i>.:: Pierre Levasseur : Version 1.0 ::.</font></font></i><br>
</center>
</HTML>